## org.apache.poi.ss.formula.functions
Class TimeFunc

    java.lang.Object
      org.apache.poi.ss.formula.functions.Fixed3ArgFunction
          org.apache.poi.ss.formula.functions.TimeFunc

All Implemented Interfaces:
  Function, Function3Arg

    public final class TimeFunc

extends Fixed3ArgFunction

Implementation for the Excel function TIME

Author:
  Steven Butler (sebutler @ gmail dot com) Based on POI `DateFunc`

Constructor Summary
`TimeFunc()`

Method Summary
`ValueEval` `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0, ValueEval arg1, ValueEval arg2)` see `Function.evaluate(ValueEval[], int, int)`

Methods inherited from class org.apache.poi.ss.formula.functions.Fixed3ArgFunction
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeFunc

    public TimeFunc()

Method Detail

### evaluate

    public ValueEval evaluate(int srcRowIndex,
                              int srcColumnIndex,
                              ValueEval arg0,
                              ValueEval arg1,
                              ValueEval arg2)

  Description copied from interface: `Function3Arg`
  see `Function.evaluate(ValueEval[], int, int)`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.